@import "vars";
@function calc_rem_value($font-size) {
    @return ((1 / $base-font-size) * $font-size) + rem;
}
@function em($pixels, $context: $default-font-size) {
    @return #{$pixels/$context}em;
}
@function rem($pixels, $context: $default-font-size) {
    @return #{$pixels/$context}rem;
}

@mixin headText{
    color: $white;
    font-size: 42px;
    font-size: calc-rem-value(42);
    font-weight: 600;
    line-height: 1.2;
    @include max-screen($tablets){
        font-size: 32px;
        font-size: calc-rem-value(32);
    }
}

@mixin default-text {
    color: $black;
    font-family: $ap;
    font-size: 18px;
    font-size: calc-rem-value(18);
    line-height: 1.5;
}

@mixin max-screen($max) {
    @media screen and (max-width: $max) {
        @content;
    }
}

@mixin min-screen($min) {
    @media screen and (min-width: $min + 1px) {
        @content;
    }
}

@mixin button($color: $primary) {
    display: inline-block;
    white-space: nowrap;
    color: $white;
    font-size: 12px;
    font-size: calc-rem-value(12);
    line-height: em(12);
    font-weight: 600;
    /* Text style for "CONTACT" */
    text-decoration: none;
    text-align: center;
    padding: 10px 25px;
    transition:all .2s;
    background-color: $color;
    border: 2px solid $color;
    border-radius: 50px;
    min-width: 100px;
    &:hover {
        background-color: darken($color, 5);
        border: 2px solid darken($color, 5);
    }
}

@mixin media-query( $length ) {
    @media (max-width: $length) {
        @content;
    }
} 

@mixin background-style( $path, $position, $bg-size, $repeat, $attachment ) {
    background: url($path) $position/$bg-size $repeat $attachment;
}
@mixin gradient-before {
    // background: $orange;
    // background: -moz-linear-gradient(45deg, $orange 0%, $blue 100%);
    // background: -webkit-gradient(left bottom, right top, color-stop(0%, $orange), color-stop(100%, $blue));
    // background: -webkit-linear-gradient(45deg, $orange 0%, $blue 100%);
    // background: -o-linear-gradient(45deg, $orange 0%, $blue 100%);
    // background: -ms-linear-gradient(45deg, $orange 0%, $blue 100%);
    // background: linear-gradient(45deg, $orange 0%, $blue 100%);
    // filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ea9b3a;', endColorstr='#0094e2', GradientType=1 );
    content: "";
    height: 100%;
    left: 0;
    opacity: 0.9;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 0;
}
@mixin pattern-background($color, $path) {
    background: $color url($path);
}

@mixin translatingX( $amount: -50% ) {
    -webkit-transform: translateX($amount);
    -moz-transform: translateX($amount);
    -o-transform: translateX($amount);
    -ms-transform: translateX($amount);
    transform: translateX($amount);
}


@mixin translatingY( $amount: -50% ) {
    -webkit-transform: translateY($amount);
    -moz-transform: translateY($amount);
    -o-transform: translateY($amount);
    -ms-transform: translateY($amount);
    transform: translateY($amount);
}

@mixin center-by-translating() {
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

@mixin transform-none() {
    -webkit-transform: none;
    -moz-transform: none;
    -o-transform: none;
    -ms-transform: none;
    transform: none;
}

@mixin transition-time( $time: 0.5s, $prop: all ) {
    -webkit-transition: $prop $time;
    -moz-transition: $prop $time;
    -o-transition: $prop $time;
    -ms-transition: $prop $time;
    transition: $prop $time;
}

@mixin placeholder-style( $color, $font-size:14px, $font-style: italic ) {
    ::-webkit-input-placeholder {
        font-style: $font-size;
        font-style: $font-style;
        color: $color;
    }

    :-moz-placeholder {
        font-style: $font-size;
        font-style: $font-style;
        color: $color;
    }

    ::-moz-placeholder {
        font-style: $font-size;
        font-style: $font-style;
        color: $color;
    }

    :-ms-input-placeholder {
        font-style: $font-size;
        font-style: $font-style;
        color: $color;
    }
}